;;;;;;;;;;;;;;;;;;;; TEST of tor ;;;;;;;;;;;;;;;;;;;;;;;;;,

;Intersection multiplicity according to Serre:
;The union of two planes in 4-space meeting another such
;(multiplicity must be 4 by obvious counting)

<ring 4 a-z r

<ideal i1 a b
<ideal i2 c d
intersect i1 i2 i

<randomat 1 2 r j1   ;defines a random intersection of two planes
<randomat 1 2 r j2
intersect j1 j2 j

<tor
<tor 0 i j e0
<tor 1 i j e1
<tor 2 i j e2
<tor 3 i j e3
<tor 4 i j e4

std e0 e0    ;tor 0 does not compute a standard basis itself
degree e0
; correct answer:
; codimension : 4
; degree      : 7

degree e1
; correct answer:
; codimension : 4
; degree      : 4

degree e2
; correct answer:
; codimension : 4
; degree      : 1

degree e3
; correct answer:
; codimension : 4
; degree      : 0

;7-4+1 = 4 = the multiplicity!

listvars
;;;;;;;;;;;;;;;;;;; END test of tor ;;;;;;;;;;;;;;;;
reset
$


