;;;;;;;;;;;;;;;;;;;; TEST of blowup ;;;;;;;;;;;;;;;;;;;

; Example: blowup the twisted cubic curve in P3 at the point (0,0,0,1)

<ring 4 a-d R

cat a m
  0 1
  0 1 2
wedge m 2 q
flatten q q
type q
; should be: -b2+ac bc-ad -c2+bd

std q q
qring q r
<ideal j a b c
<ring 3 xyz T
ring-sum r T T

<blowup
<blowup j T L
type L
; should be: -cz+dy -bz+cy -az+by y2-xz -bz+dx -az+cx -ay+bx

listvars
;;;;;;;;;;;;;;;;;;;;; END test of blowup ;;;;;;;;;;;;;;;;;
reset
$

