;;;;;;;;;;;;;;;;; TEST of hom ;;;;;;;;;;;;;;;;;;;;;

;Normal bundle of the twisted cubic:

<ring 4 a-z r

<monomcur 1 2 3 i ;the twisted cubic
res i ii 2
<hom
<hom ii.2 ii.1 N
betti N
; correct answer:
; total:      6    12
; --------------------
;    -1:      6    12
;The normal bundle is 0_{P1}^2 (5) = 0_{P3} (1)  \0  0_{P1}^2 (2),
;where we have written \0 for tensor.  Thus, up to a shift of degree
;by 1, the resolution is the resolution over P3 of 0_{P1}^2 (2),
;And this has 6 sections.

;See the script <normalsh for a more efficient
;method of computing the normal sheaf.

listvars
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;Finding Hom(J,r), for normalization:

;The ring r/i of the rational quartic in P3:
<ring 2 st p1
<ideal f s4 s3t st3 t4
<ring 4 a-z r
<subring f i
type i
;should be: c3-bd2 bc-ad b3-a2c ac2-b2d

;The test ideal:
<ideal j a2 b2 c2 d2
;and its presentation matrix j.2:
res j j 2

<hom j.2 i r1
<prune r1 r1
type r1
betti r1
; correct answer:
; total:      2     5
; --------------------
;     0:      1     -
;     1:      1     5
;Note the extra generator in degree 1!

listvars
;;;;;;;;;;;;;;;;; END test of hom ;;;;;;;;;;;;;;;;;;;
reset
$



