;;;;;;;;;;;;;;;;; TEST of k3carpet ;;;;;;;;;;;;;;

; For this to work the following integers must be >=2

int a 2
int b 3
<ring a+1 x[0]-x[a] r1
<ring b+1 y[0]-y[b] r2
ring-sum r1 r2 r
cat x[0] A
0 1
0..a-1
cat y[0] B
0 1
0..b-1
type A
type B

<k3carpet
<k3carpet A B i

set autocalc 1
set autodegree 2
res i ii
betti ii
; should - and does - show the last linear term in the bth place.
; Note that the codim is a+b-1 and the degree is 2(a+b) = 2(g-1).
degree ii.1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; Try some non-catalecticant matrices:
int a 3
int b 3
<ring 2*a x[1]-x[2*a] r1
<ring 2*b y[1]-y[2*b] r2
ring-sum r1 r2 r

<genermat x[1] 2 a A
<genermat y[1] 2 b B
type A
type B

<k3carpet A B i

set autocalc 1
set autodegree 4
res i ii
betti ii
;correct answer:
; total:      1    10    47    88    65    28    16     3
; --------------------------------------------------------
;     0:      1     -     -     -     -     -     -     -
;     1:      -    10     8     -     -     -     -     -
;     2:      -     -    39    88    65     -     -     -
;     3:      -     -     -     -     -    28    16     3
degree ii.1
; should be:
; codimension : 5
; degree      : 6

listvars
;;;;;;;;;;;;;;;;;; END test of k3carpet ;;;;;;;;;;;;;;;;;;;
reset
$



