;;;;;;;;;;;;;;;;;;;; TEST of lbundlim ;;;;;;;;;;;;;;;;;

; Test 1: canonical module of the twisted cubic.

<ring 4 a-d r
<monomcur 1 2 3 j
res j jj
transpose jj.2 n
dshift n 1
<lbundlim n y j
type j

; Test 2: canonical module of the 2 by 2 minors of the matrix "m":

<ring 4 a-d r
mat m
  2
  3
  a
  b
  c2+bd
  ac
  cd+b2
  d2
type m
wedge m 2 q
flatten q q
res q qq
transpose qq.2 n
type n

row-degs n
dshift n 4  ; the canonical module, since we are in P^3
<lbundlim n y j
; one can check that this is a singular curve

listvars
;;;;;;;;;;;;;;;;;;;; END test of lbundlim ;;;;;;;;;;;;;;
reset
$

