;;;;;;;;;;;;;;;;;;; TEST of prunemap ;;;;;;;;;;;;;;;;;;;;;

;Torsion in the cotangent sheaf of a nodal curve:

;The nodal plane cubic:
<ring 3 x-z r
poly i y2z-x2(x-z)
type i

<cotan i Omega
type Omega
;The following line is necessary because of a bug (5/14/89)
std i i
qring i rr
fetch Omega Omega
<prune Omega Omega
<ddual Omega N f
<kernmap f Omega N torsion g
type Omega
; correct answer:
; -y x2+y2 1/3xy y2+2/3xz
; x  0     1/3y2 2/3yz
; z  2yz   x2-xz 2yz

type torsion
; correct answer:
; 1 0 0   0 0 0
; 0 0 1/3 0 x y
; 0 1 0   1 0 0
; 0 1 0   0 0 0
; 0 0 1   0 0 0
type g
; correct answer:
; -y xy      y2+2/3xz x2-2/3xz 0
; x  0       2/3yz    -2/3yz   1/3y2
; z  2xz-2z2 2yz      0        x2-5/3xz+2/3z2

;But the minimal presentation is much simpler:
<prunemap
<prunemap torsion torsion g1
mult g g1 g2
type torsion
;should be: x y
type g2
; should be:
; -1/3xy
; 0
; -2/3xz+2/3z2

listvars
;;;;;;;;;;;;;;;;;;; END test of prunemap ;;;;;;;;;;;;;;;;;;
reset
$


