;;;;;;;;;;;;;;;;; TEST of radical ;;;;;;;;;;;;;;;;;;;;;

<ring 4 a-z r

<ideal j1 a2
<radical j1 i1 ver
type i1

<ideal j2 a2 b3
<radical j2 i2
type i2

<ideal j3 b2 c2 d3 cd
<radical j3 i3
type i3

intersect i1 i2 i3 i
type i
;should be: ad ab ac

intersect j1 j2 j3 j
type j
;should be: a2cd a2c2 a2b2 a2d3

<radical j test verbose
;tekes about 6 sec
type test
;this should be i= ad ab ac

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

<ring 5 a-z R
<ideal i a b c
<ideal i1 c d
<mulideal i i1 j
type j
<radical j jrad verbose
type jrad

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;Recovery of a scroll from a k3 carpet:

;First make a k3carpet in a+b+2 variables
;for this to work the following integers must be >=2

int a 2
int b 2
<ring a+1 x[0]-x[a] r1
<ring b+1 y[0]-y[b] r2
ring-sum r1 r2 r
cat x[0] A
0 1
0..a-1
cat y[0] B
0 1
0..b-1
type A
type B

<k3carpet A B i
res i ii
betti ii
;should - and does - show the last linear term
;in the bth place.  Note that the codim is a+b-1
;and the degree is 2(a+b) = 2(g-1).

type i
<radical i j verbose

;33 secs for the case a=b=2. 9 sec with 50mhz board (3/6/90)
;About 5 minutes for the case a=2,b=3.

res j j
betti j

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;Varieties in the nilcone of matrices:

;Nilpotent nxn matrices:
int n 2
<ring n*n a-z r
<genermat a n n M
mult M M M2
flatten M2 nilp
betti nilp

set prlevel -10
<radical nilp j verbose
;n=2 goes fast.  n=3 ran out of memory trying to show that the
;correct answer (which is already produced by the first
;"removlst") is correct (its the 2x2's with the trace, codim = 5)
;The program was working on the 4x4 minors; it succeeded in doing
;a wedge 4 (of the 9x10 Jacobian matrix) in 52 min, but ran out of
;space on the following "flatten".
res j j
betti j

listvars
;;;;;;;;;;;;;;;;;; END test of radical ;;;;;;;;;;;;;;;;;;;;;;;
reset
$


