;;;;;;;;;;;;;;;;;;;;;; TEST of unmixrd1 ;;;;;;;;;;;;;;;;;;;

<ring 3 a-z r
<ideal i a3

<unmixrd1
<unmixrd1 i j verbose
type j
should be "a"

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

<ring 3 a-z r
power r 3 r3
<unmixrd1 r3 j verbose   ;takes almost 6 seconds
type j
;should be a b c

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

<ring 5 a-z r
ideal i
3
a5+b5+c5+d5+e5-5abcde
ea3b+ab3c+bc3d+cd3e+de3a
e2ab2+a2bc2+b2cd2+c2de2+d2ea2

<removlow i i
betti i
<unmixrd1 i j  ;Takes about 5 minutes

type j
betti j
res j j
betti j

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;Recovery of a scroll from a k3 carpet:
;First make a k3carpet in a+b+2 variables
;for this to work the following integers must be >=2

int a 2
int b 2
<ring a+1 x[0]-x[a] r1
<ring b+1 y[0]-y[b] r2
ring-sum r1 r2 r
cat x[0] A
0 1
0..a-1
cat y[0] B
0 1
0..b-1
type A
type B

<k3carpet A B i
set autocalc 1
set autodegree 2
res i ii
betti ii
;should - and does - show the last linear term
;in the bth place.  Note that the codim is a+b-1
;and the degree is 2(a+b) = 2(g-1).
type i

<unmixrad i j   ;33 sec for the case a=b=2
<unmixrd1 i j   ;8 minutes for the case a=b=2
res j j
betti j
pring j

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;should we perhaps get a smaller ideal to quotient with respect to?
<ring 5 a-z r
<ideal i a2+bc
power r 3 r3
std r3 r3
betti r3
std i i
qring i q
fetch r3 r3
std r3 r3
betti r3
codim r3
;Gives codim over r, not q

setring r
fetch r3 r3
std r3 r3
codim r3
;Has lower codim! so this is indeed a way of getting a smaller ideal.

listvars
;;;;;;;;;;;;;;;;;;;;; END test of unmixrd1 ;;;;;;;;;;;;;;;;;;;;;;;;
reset
$


